Name:           ripright
Version:        0.9
Release:        5%{?dist}
Summary:        A minimal CD ripper
License:        GPLv2
URL:            http://www.mcternan.me.uk/ripright/
Source0:        http://www.mcternan.me.uk/ripright/software/%{name}-%{version}.tar.gz
BuildRequires:  cdparanoia-devel
BuildRequires:  flac
BuildRequires:  flac-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  libcurl-devel
BuildRequires:  libdiscid-devel

%description
RipRight is a minimal CD ripper for Linux modeled on autorip. It can run as 
a daemon and will automatically start ripping any CD found in the drive after 
which the disc will be ejected. Ripping is always to FLAC lossless audio 
format with tags taken from the community-maintained MusicBrainz lookup 
service and cover art from Amazon where possible. If a disc is unknown to 
MusicBrainz, the CD will be ejected without ripping and can also be 
optionally rejected if cover art cannot be found.

With RipRight, ripping a CD collection is just a matter of feeding your Linux 
PC each CD in turn and waiting while they are ripped. CDs which are 
immediately ejected can be checked with the MusicBrainz Picard tool which 
allows CD identifiers to be uploaded to the website database. Any errors or 
inaccuracies in the database records can also be edited on the MusicBrainz.

%prep
%setup -q

%build
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%check
make check

%files
%doc ChangeLog COPYING
%{_bindir}/ripright
%{_bindir}/riparrange
%{_mandir}/man1/ripright.1.*
%{_mandir}/man1/riparrange.1.*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 13 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9-3
- ImageMagick 6.8.8.10-3 rebuild.

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 0.9-2
- Fix a typo and add the missing dependency.

* Wed Jan 01 2014 Christopher Meng <rpm@cicku.me> - 0.9-1
- Initial Package.
